Canvas5StyleManager::CharStyle Struct Reference

a structure use to store a character style More...

`#include <Canvas5StyleManager.hxx>`

## Public Member Functions

| CharStyle ()
| constructor

## Public Attributes

MWAWFont | m_font
| the font
int | m_paragraphId
| the paragraph id
int | m_linkId
| the link id

## Detailed Description

a structure use to store a character style

## Constructor & Destructor Documentation

## CharStyle()

Canvas5StyleManager::CharStyle::CharStyle | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_font

MWAWFont Canvas5StyleManager::CharStyle::m_font

the font

Referenced by CharStyle(), and Canvas5StyleManager::readCharStyle().

## m_linkId

int Canvas5StyleManager::CharStyle::m_linkId

the link id

Referenced by CharStyle(), and Canvas5StyleManager::readCharStyle().

## m_paragraphId

int Canvas5StyleManager::CharStyle::m_paragraphId

the paragraph id

Referenced by CharStyle(), and Canvas5StyleManager::readCharStyle().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.hxx